<?php

namespace App\Http\Controllers\V1;

use App\Models\Help;
use App\Models\Region;
use Illuminate\Http\Request;
use App\Models\Advertise;
use App\Models\Setting;
use Illuminate\Support\Facades\Redis;

class IndexController extends Controller
{
    //隐私政策
    public function privacyPolice()
    {
        $info = Setting::where('key', 'privacy')->where('is_delete', 0)->select('title', 'key', 'value')->first();

        return $this->success($info);
    }

    //用户协议
    public function userAgreement()
    {
        $info = Setting::where('key', 'agreement')->where('is_delete', 0)->select('title', 'key', 'value')->first();

        return $this->success($info);
    }

    //关于我们
    public function aboutus()
    {
        $info = Setting::where('key', 'aboutus')->where('is_delete', 0)->select('title', 'key', 'value')->first();

        return $this->success($info);
    }

}
